#ifndef NDBG_MARK5B_H
#define NDBG_MARK5B_H


#ifdef DEBUG
//-----------------------------------------------------------------------------

extern int mark5b_debug_include;
extern int mark5b_debug_exclude;

//-----------------------------------------------------------------------------

#ifdef MARK5B_BUILD                   // set by configuration makefile

#undef NDBG_INCLUDE_MASK
#define NDBG_INCLUDE_MASK mark5b_debug_include
#undef NDBG_EXCLUDE_MASK
#define NDBG_EXCLUDE_MASK mark5b_debug_exclude

#undef LOGSTREAM
#define LOGSTREAM std::cerr

#include <jccs_util/evn_dbg.h>

#endif

//-----------------------------------------------------------------------------

#define CONTROL               0x00000001
#define CONNECTION            0x00000002

#define MESSAGES              0x01000000
#define METHOD_ENTRY_OFTEN    0x02000000
#define INFO                  0x04000000
#define LOG                   0x08000000
#define WARNING               0x10000000
#define NOISE                 0x20000000

//-----------------------------------------------------------------------------

#endif // DEBUG
#endif // NDBG_DEBUG_H
