#ifndef PARSE_MK5_H
#define PARSE_MK5_H

#include <vector>
#include <string>

typedef std::vector<std::string> Command_Parameters;
typedef std::pair<bool, Command_Parameters> Command_Reply;
typedef std::vector<Command_Reply> Multi_Command_Reply; // for each command given there is a bool indicating if the command was a query and a list of string representing the parameters

Command_Reply parse_command(const char* in);
Multi_Command_Reply parse_multi_command(const char* in);

#endif
