//storeable_conn.h

//SU_CONTROL application - to store a connection

//JIVE, November 1997

//_________________________________________________________________________

//for RCS

//$Header: /export/home/jive_cvs/JCCS/CVS_Repository/su_control/include/storeable_conn.h,v 3.1 2005/12/23 13:16:30 verkout Exp $

//$Locker:  $

//$Log: storeable_conn.h,v $
//Revision 3.1  2005/12/23 13:16:30  verkout
//HV: Phew. This is the big thing. Merged all developments with both the port to Linux and the mods needed for a byte-order safe COF
//
//Revision 3.0.8.1  2005/10/18 09:29:45  jive_cc
//HV: * JCCS port to Linux/i386 * COF is now endian safe * libraryname clash on Linux - libutil is a systemlib on Linux, so renamed util -> jccs_util * put CountedPointer in JCCS namespace
//
//Revision 3.0  2002/04/17 14:42:50  jive_cc
//Included gnu branch
//
//Revision 1.1  1997/11/07 15:37:36  pwm
//Initial revision
//
//___________________________________________________________________________
#ifndef STORE_CONN_H
#define STORE_CONN_H

#include <jccs_util/strobj.h>
#include <herbert/connection.h>

class Storeable_Conn : public StoreObject
{
 private:
    
    Connection* the_conn;
    
 public:
    
    Storeable_Conn(Connection *conn) { the_conn = conn; }
    ~Storeable_Conn(void) {;}
    
    Connection *get_conn(void) {return the_conn; }
    //superclass pure virtual functions
    char* hasName (void)const {return "Storeable_Conn";}
    ClassID isType(void)const {return 0;}
};

#endif
